Bug 1476795 - [RFE]Enhanced monitoring of gluster nodes to minimize the locking issue.
[RFE]Enhanced monitoring of gluster nodes to minimize the locking issue.
Status: NEW
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
4.2.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Sahina Bose
meital avital
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-31 09:30 EDT by Abhishek Kumar
Modified: 2017-08-07 03:22 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Gluster
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Abhishek Kumar 2017-07-31 09:30:50 EDT
Description of problem:

Enhanced monitoring of gluster nodes to minimize the locking issue.

Version-Release number of selected component (if applicable):


How reproducible:

- The rhevm currently issues lot of gluster volume status like commands in short intervels

- These commands require a cluster wide locking which cause the rhevm initiated monitoring commands to hold the lock for a long time in large envs(like 100+volumes)


- Since the lock is held by rhevm initiated commands, User is not able to run any administrative commands till the rhevm initiated commands release the lock

- The above scenario is a problem for users. Rhevm should be able to use commands like 'getstate' to monitor the gluster cluster to minimize the locking impact.
Comment 1 Sahina Bose 2017-08-02 04:43:07 EDT
(In reply to Abhishek Kumar from comment #0)
> Description of problem:
> 
> Enhanced monitoring of gluster nodes to minimize the locking issue.
> 
> Version-Release number of selected component (if applicable):
> 
> 
> How reproducible:
> 
> - The rhevm currently issues lot of gluster volume status like commands in
> short intervels
> 

> - These commands require a cluster wide locking which cause the rhevm
> initiated monitoring commands to hold the lock for a long time in large
> envs(like 100+volumes)
> 
> 
> - Since the lock is held by rhevm initiated commands, User is not able to
> run any administrative commands till the rhevm initiated commands release
> the lock
> 

Just to clarify, the lock is not held by RHV-M, but by glusterd when we invoke any gluster vol status commands on any of the nodes in the cluster.

> - The above scenario is a problem for users. Rhevm should be able to use
> commands like 'getstate' to monitor the gluster cluster to minimize the
> locking impact.

Commands like getstate return only a node specific data. To implement something similar to the "gluster volume status" would involve querying each of the nodes in the cluster and aggregating this information. This could cause a challenge in large node clusters.

Is the gluster REST API an option to get this information?

Note You need to log in before you can comment on or make changes to this bug.